autopkgtest-schroot(1)

NAME
autopkgtest-schroot - autopkgtest virtualisation server using a schroot

SYNOPSIS
autopkgtest [...] -- schroot [options] schroot-name

DESCRIPTION
autopkgtest-schroot provides an autopkgtest virtualisation server using a schroot. Normally autopkgtest-schroot will be invoked by autopkgtest.

The schroot name to use must be specified. Only use this with schroots that provide temporary sessions, i. e. with type=file or type=directory and a configured union-type. autopkgtest-schroot will refuse to work with a static "directory" type schroot. Note that schroot does not provide significant isolation between the testbed and the host system; if the packages under test are untrusted, then a different virtualisation server is recommended.

You can use mk-sbuild(1) to conveniently create schroots.

PERMISSIONS
If you can access the schroot as your user (according to the schroot's users/groups configuration), you should run autopkgtest-schroot (and autopkgtest itself) as normal user, too.

autopkgtest-schroot reads the schroot configuration (root-users/root-groups) to determine whether it can enter the schroot as root user; if so, it sets the root-on-testbed capability and you can run tests which require building or running as root. If your user is not allowed to do that, you need to run autopkgtest as root instead.

OPTIONS

-s ID | --session-id=ID
    Use a custom schroot session ID. This allows the user to easily identify hung sessions in schroot --list --all-sessions.

-d | --debug
    Enables debugging output.

INPUT, OUTPUT AND EXIT STATUS
The behaviour of autopkgtest-schroot is as described by the AutomatedTesting virtualisation regime specification.

SEE ALSO
autopkgtest(1), autopkgtest-virt-null(1), schroot(1), mk-sbuild(1).

AUTHORS AND COPYRIGHT
This manpage is part of autopkgtest, a tool for testing Debian binary packages. autopkgtest is Copyright (C) 2006-2013 Canonical Ltd and others.

See /usr/share/doc/autopkgtest/CREDITS for the list of contributors and full copying conditions.